#include "stdafx.h"
#include "iecomponentcookiegetter.h"

#include "namespace_start.h"

browsertype::BrowserType CIEComponentGetter::BT = browsertype::IECOMPONENT;

Bool CIEComponentGetter::GetCookieInternal(const NString &domein,const NString &name,CCookie &cookie){

	CCookieGetResult result = this->GetCookieIEAPI(domein,name,cookie,false);

	if(result.GetResultCode() != resultcode::OK || (!result.IsFound())){

		resultList.push_back(result);
		CCookieGetResult forceresult = CIEComponentGetter::ForceSearchFiles(this->normalDirectry,domein,name,cookie,CIEComponentGetter::Fancta);

		if(forceresult.GetResultCode() != resultcode::OK){

			resultList.push_back(forceresult);
		}

	}



	return result.IsFound();
}


#include "namespace_end.h"